<?php
define('_IN_JOHNCMS', 1);

$headmod = 'clenomer';
$textl = 'Члкеномер';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

echo "<div class='phdr'>Членомер</div>";

switch ($act) {

    case "go":
        $dlina = intval($_POST['dlina']);
        $schirina = intval($_POST['schirina']);

        if ($dlina <= 0 or $schirina <= 0) {
            echo functions::display_error("Введите коректные данные!");
            echo '<div class="menu"><a href="?">Еще раз</a><br />';
            echo '<a href="../?">В раздел</a></div>';

            require_once ("../../incfiles/end.php");
            exit;
        }

        if ($dlina > 35 or $schirina > 16) {
            echo functions::display_error("Либо Вы переборщили с размерами, или же Вам прямая дорога в Книгу Рекордов Гиннеса!");
            echo '<div class="menu"><a href="?">Еще раз</a><br />';
            echo '<a href="../?">В раздел</a></div>';

            require_once ("../../incfiles/end.php");
            exit;
        }
        echo '<div class="gmenu">';

        if ($dlina < 7 and $schirina < 17) {
            echo "У Вас <b>петушино - </b>";
        } else
            if (($dlina > 6 and $dlina < 16) and $schirina < 17) {
                echo "У Вас <b>собако - </b>";
            } else
                if (($dlina > 15 and $dlina < 26) and $schirina < 17) {
                    echo "У Вас <b>конско - </b>";
                } else
                    if (($dlina > 25 and $dlina < 36) and $schirina < 17) {
                        echo "У Вас <b>слоно - </b>";
                    }

        if ($schirina < 4 and $dlina < 36) {
            echo "<b>кролячий</b> член.<br />С членом такой толщины Вы или еще ребенок, или Вас обделила судьба. Но не расстраивайтесь, на любой товар найдется свой покупатель.<br/>";
            echo "<img src=\"image/1.gif\"/>";
        } else
            if (($schirina > 3 and $schirina < 7) and $dlina < 36) {
                echo "<b>кабанячий</b> член.<br /> Это как раз стандарт члена. Так что радуйтесь, Вы ничем не отличаетесь от других.";
                echo "<br/><img src=\"image/2.gif\"/>";
            } else
                if (($schirina > 6 and $schirina < 10) and $dlina < 36) {
                    echo "<b>ослинный</b> член.<br /> Если Вы имеете такой член, наверное Вы просто мачо, женщины лежат у ваших ног штабелями, что ж, так держать!";
                    echo "<br/><img src=\"image/3.gif\"/>";
                } else
                    if (($schirina > 9 and $schirina < 17) and $dlina < 36) {
                        echo "<b>мамонтовый</b> член.<br />Поздравляю, Вы владелец огромнейшего члена, Вам верно нет равных в амурных делах.";

                        echo "<br/><img src=\"image/4.gif\"/>";

                    }

        $count_file = 'tmp/counter.dat';
        $counter = @file_get_contents($count_file);
        $count = @fopen($count_file, 'w+');
        if (!$count) {
            $err1 .= '"<i>' . $count_file . '</i>"';
        } else {
            flock($count, LOCK_EX);
            fputs($count, $counter + 1);
            flock($count, LOCK_UN);
        }
        fclose($count);

        echo '</div><div class="menu"><a href="?">Еще раз</a><br />';
        break;

    default:
        $file = file_get_contents("tmp/counter.dat");
        $out = intval($file);

        echo '<form action="?act=go" method="post">';
        echo '<div class="gmenu"><b>Укажите параметры:</b><br/>';
        echo '<input name="dlina" size="2" maxlength="2"/> Длина<br/>';
        echo '<input name="schirina" size="2" maxlength="2"/> Толщина</div>';
        echo '<div class="bmenu">';
        echo '<input type="submit" value="Go!" style="border: 1px solid #999999;"/></div>';
        echo '</form><div class="gmenu">Всего расчетов: ' . $out;
        echo '</div><div class="menu">';
}
echo '<a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");
?>
